FreeMat

- Main Page
- Related Pages

vtkImageRGBToHSV

Section: Visualization Toolkit Imaging Classes

# Usage

For each pixel with red, blue, and green components this filter output the color coded as hue, saturation and value. Output type must be the same as input type.

To create an instance of class vtkImageRGBToHSV, simply invoke its constructor as follows

      obj = vtkImageRGBToHSV

# Methods

The class vtkImageRGBToHSV has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageRGBToHSV class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageRGBToHSV = obj.NewInstance ()`
- `vtkImageRGBToHSV = obj.SafeDownCast (vtkObject o)`
- `obj.SetMaximum (double )`
- `double = obj.GetMaximum ()`